Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class BinaryDoubleExpressionHelper

    java.lang.Object
      org.codehaus.groovy.classgen.asm.BinaryExpressionWriter
          org.codehaus.groovy.classgen.asm.BinaryLongExpressionHelper
              org.codehaus.groovy.classgen.asm.BinaryDoubleExpressionHelper

    public class BinaryDoubleExpressionHelper
    extends BinaryLongExpressionHelper

Authors:
  Jochen "blackdrag" Theodorou

Field Summary

Fields inherited from class BinaryExpressionWriter
stdCompareCodes

Constructor Summary
`BinaryDoubleExpressionHelper(WriterController controller)`

Method Summary
`protected MethodCaller` | `getArrayGetCaller()`
`protected MethodCaller` | `getArraySetCaller()`
`protected int` | `getBitwiseOperationBytecode(int op)`
`protected int` | `getCompareCode()`
`protected ClassNode` | `getDevisionOpResultType()`
`protected ClassNode` | `getNormalOpResultType()`
`protected int` | `getShiftOperationBytecode(int type)`
`protected int` | `getStandardOperationBytecode(int type)`
`protected boolean` | `supportsDivision()`
`protected boolean` | `writeBitwiseOp(int op, boolean simulate)`
`protected void` | `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
`protected void` | `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
`protected boolean` | `writeShiftOp(int type, boolean simulate)`

Methods inherited from class BinaryLongExpressionHelper
doubleTwoOperands, getArrayGetCaller, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, writeMinusMinus, writePlusPlus

Methods inherited from class BinaryExpressionWriter
arrayGet, arraySet, doubleTwoOperands, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, supportsDivision, write, writeBitwiseOp, writeDivision, writeMinusMinus, writePlusPlus, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BinaryDoubleExpressionHelper

    public BinaryDoubleExpressionHelper(WriterController controller)

Method Detail

### getArrayGetCaller

    protected MethodCaller getArrayGetCaller()

### getArraySetCaller

    protected MethodCaller getArraySetCaller()

### getBitwiseOperationBytecode

    protected int getBitwiseOperationBytecode(int op)

### getCompareCode

    protected int getCompareCode()

### getDevisionOpResultType

    protected ClassNode getDevisionOpResultType()

### getNormalOpResultType

    protected ClassNode getNormalOpResultType()

### getShiftOperationBytecode

    protected int getShiftOperationBytecode(int type)

### getStandardOperationBytecode

    protected int getStandardOperationBytecode(int type)

### supportsDivision

    protected boolean supportsDivision()

### writeBitwiseOp

    protected boolean writeBitwiseOp(int op, boolean simulate)

### writeMinusMinus

    protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)

### writePlusPlus

    protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)

### writeShiftOp

    protected boolean writeShiftOp(int type, boolean simulate)

Groovy Documentation